## AtkRange AtkRange — A given range or subrange, to be used with AtkValue |

## Functions

AtkRange * | atk_range_copy ()
void | atk_range_free ()
gdouble | atk_range_get_lower_limit ()
gdouble | atk_range_get_upper_limit ()
const gchar * | atk_range_get_description ()
AtkRange * | atk_range_new ()

## Includes

    #include <atk/atk.h>

## Description

AtkRange are used on AtkValue, in order to represent the full range of a given component (for example an slider or a range control), or to define each individual subrange this full range is splitted if available. See AtkValue documentation for further details.

## Functions

### atk_range_copy ()

    AtkRange *
    atk_range_copy (AtkRange *src);

Returns a new AtkRange that is a exact copy of `src`

#### Parameters

src | AtkRange to copy |

#### Returns

a new AtkRange copy of `src` .

[transfer full]

Since: 2.12

### atk_range_free ()

    void
    atk_range_free (AtkRange *range);

Free `range`

#### Parameters

range | AtkRange to free |

Since: 2.12

### atk_range_get_lower_limit ()

    gdouble
    atk_range_get_lower_limit (AtkRange *range);

Returns the lower limit of `range`

#### Parameters

range | an AtkRange |

#### Returns

the lower limit of `range`

Since: 2.12

### atk_range_get_upper_limit ()

    gdouble
    atk_range_get_upper_limit (AtkRange *range);

Returns the upper limit of `range`

#### Parameters

range | an AtkRange |

#### Returns

the upper limit of `range`

Since: 2.12

### atk_range_get_description ()

    const gchar *
    atk_range_get_description (AtkRange *range);

Returns the human readable description of `range`

#### Parameters

range | an AtkRange |

#### Returns

the human-readable description of `range`

Since: 2.12

### atk_range_new ()

    AtkRange *
    atk_range_new (gdouble lower_limit,
                   gdouble upper_limit,
                   const gchar *description);

Creates a new AtkRange.

#### Parameters

lower_limit | inferior limit for this range |
upper_limit | superior limit for this range |
description | human readable description of this range. |

#### Returns

a new AtkRange.

[transfer full]

Since: 2.12